package com.casic.PgInterface.devTable.dto;

import com.casic.PgInterface.devTable.domain.PipeGallery;

/**
 * Created by yxw on 2017/11/2.
 */
public class PipeGalleryDto{

    private String id;
    private String pgName;//管廊名称
    private String pgLength;//仓体长度
    private String pgPartition;//分区名称
    private String active;//状态位

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPgName() {
        return pgName;
    }

    public void setPgName(String pgName) {
        this.pgName = pgName;
    }

    public String getPgLength() {
        return pgLength;
    }

    public void setPgLength(String pgLength) {
        this.pgLength = pgLength;
    }

    public String getActive() {
        return active;
    }

    public void setActive(String active) {
        this.active = active;
    }

    public String getPgPartition() {
        return pgPartition;
    }

    public void setPgPartition(String pgPartition) {
        this.pgPartition = pgPartition;
    }

    public PipeGalleryDto(PipeGallery pipeGallery)
    {
        this.setId(String.valueOf(pipeGallery.getId()));
        this.setPgName(pipeGallery.getPgName());
        this.setPgLength(String.valueOf(pipeGallery.getPgLength()));
        this.setPgPartition(pipeGallery.getPgPartitionId().getParName());
        this.setActive(String.valueOf(pipeGallery.getActive()));
    }

}
